cURL
curl --request GET 'https://api.brightalk.ai/webhook-events/123e4567-e89b-42d3-a456-426614174000' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header 'Brightalk-Version: 2026-07-16'const response = await fetch("https://api.brightalk.ai/webhook-events/123e4567-e89b-42d3-a456-426614174000", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16"
}
});
const result = await response.json();
console.log(result);import os
import requests
response = requests.get(
"https://api.brightalk.ai/webhook-events/123e4567-e89b-42d3-a456-426614174000",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16"
}
)
print(response.json()){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "call.completed",
"status": "pending",
"attempts": 4503599627370495,
"next_attempt_at": "<string>",
"delivered_at": "<string>",
"created_at": "<string>"
}Integrations
Retrieve callback delivery status
Retrieve callback delivery status.
GET
/
webhook-events
/
{event_id}
cURL
curl --request GET 'https://api.brightalk.ai/webhook-events/123e4567-e89b-42d3-a456-426614174000' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header 'Brightalk-Version: 2026-07-16'const response = await fetch("https://api.brightalk.ai/webhook-events/123e4567-e89b-42d3-a456-426614174000", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16"
}
});
const result = await response.json();
console.log(result);import os
import requests
response = requests.get(
"https://api.brightalk.ai/webhook-events/123e4567-e89b-42d3-a456-426614174000",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16"
}
)
print(response.json()){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "call.completed",
"status": "pending",
"attempts": 4503599627370495,
"next_attempt_at": "<string>",
"delivered_at": "<string>",
"created_at": "<string>"
}Authorizations
Headers
Response
Successful response.